> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Hashtag

> Extract TikTok videos from a list of hashtags — URLs, likes, plays, music, creator data

`$1.9 / 1k videos`

Extract TikTok videos from a list of hashtags — URLs, likes, plays, music, creator data

## Endpoint

`POST /api/v1/agents/tiktok/hashtag/run`

## Parameters

<ParamField body="hashtags" type="array" required>
  **List** · TikTok hashtags to scrape, with or without the # symbol.
</ParamField>

<ParamField body="maxResults" type="integer" default={100}>
  **Number** · Posts per hashtag. Use 0 for all (TikTok caps each hashtag at \~800).
</ParamField>

## Response columns

| Field               | Display name        | Type    |
| ------------------- | ------------------- | ------- |
| `searchedHashtag`   | Searched Hashtag    | text    |
| `videoUrl`          | Video URL           | url     |
| `caption`           | Caption             | text    |
| `posted`            | Posted              | text    |
| `hashtagTotalViews` | Hashtag Total Views | number  |
| `plays`             | Plays               | number  |
| `likes`             | Likes               | number  |
| `comments`          | Comments            | number  |
| `shares`            | Shares              | number  |
| `saves`             | Saves               | number  |
| `reposts`           | Reposts             | number  |
| `authorUrl`         | Author URL          | url     |
| `authorUsername`    | Author Username     | text    |
| `authorName`        | Author Name         | text    |
| `authorAvatar`      | Author Avatar       | url     |
| `authorFollowers`   | Author Followers    | number  |
| `authorVerified`    | Author Verified     | boolean |
| `videoCover`        | Video Cover         | url     |
| `durationS`         | Duration (s)        | number  |
| `height`            | Height              | number  |
| `width`             | Width               | number  |
| `definition`        | Definition          | text    |
| `song`              | Song                | text    |
| `artist`            | Artist              | text    |
| `originalAudio`     | Original Audio      | boolean |
| `topHashtag`        | Top Hashtag         | text    |
| `effect`            | Effect              | text    |
| `isAd`              | Is Ad               | boolean |
| `pinned`            | Pinned              | boolean |
| `slideshow`         | Slideshow           | boolean |
| `sponsored`         | Sponsored           | boolean |
| `language`          | Language            | text    |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/tiktok/hashtag/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "hashtags": [
        "fyp"
      ],
      "resultsPerPage": 10
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/tiktok/hashtag/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "hashtags": [
          "fyp"
      ],
      "resultsPerPage": 10
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "searchedHashtag": "fyp",
      "videoUrl": "https://www.tiktok.com/@biteswithesther/video/7540823123629821215",
      "caption": "why spend $8 on a brownie when you can spend $30 on ingredients and make 8 \ud83e\udd23\ud83e\udd70\n\ndubai chocolate brownie recipe: \n1 box brownie mix (prepare according to box) \n8 oz kataifi \n3 tbsp unsalted butter \n8 oz jar pistachio cream \n\u00bc cup tahini\n1 \u00bd cup chocolate \n\n#dubaichocolate #dubaichocolatebrownie #viralrecipe #trending #fyp ",
      "posted": "2025-08-21T00:05:19.000Z",
      "hashtagTotalViews": 118328000000000,
      "plays": 14900000,
      "likes": 1600000,
      "comments": 7011,
      "shares": 242000,
      "saves": 416984,
      "reposts": 0,
      "authorUrl": "https://www.tiktok.com/@biteswithesther",
      "authorUsername": "biteswithesther",
      "authorName": "biteswithesther",
      "authorAvatar": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/64f5a978831dc4f00d693d23d4874e23~tplv-tiktokx-cropcenter:720:720.jpeg?dr=9640&refresh_token=34aa95e0&x-expires=1777874400&x-signature=4lIzQ81djZp3y9WNNtYzN5d7ZPo%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=useast8",
      "authorFollowers": 469600,
      "authorVerified": false,
      "videoCover": "https://p16-common-sign.tiktokcdn-us.com/tos-useast8-p-0068-tx2/o4ImIEE4RY6pAFDoSFGzfY0fVI8EREDAVLmsBx~tplv-tiktokx-origin.image?dr=9636&x-expires=1777874400&x-signature=KGmJDpqXRhnmykBJ1tDfzTZaiws%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=useast8",
      "durationS": 136,
      "height": 1024,
      "width": 576,
      "definition": "540p",
      "song": "original sound",
      "artist": "biteswithesther",
      "originalAudio": true,
      "topHashtag": null,
      "effect": null,
      "isAd": false,
      "pinned": false,
      "slideshow": false,
      "sponsored": false,
      "language": "en"
    }
  ]
}
```
